@ECHO OFF
IF DEFINED MAVEN_HOME (SET "Path=%Path%;%MAVEN_HOME%\bin")
WHERE mvn /Q
IF ERRORLEVEL 1 (
     ECHO Maven not found  [MAVEN_HOME: "%MAVEN_HOME%"]
     exit /b ERRORLEVEL
) 

IF "%1" == "" (
  SET LOCAL_REPO_PARAM=
) else (
  SET LOCAL_REPO_PARAM=-DlocalRepositoryPath=%1
)

FOR  %%F in (*.parent) do (
	ECHO %%F
	call mvn org.apache.maven.plugins:maven-install-plugin:2.5.2:install-file -Dfile="%%F" -DpomFile="%%F" %LOCAL_REPO_PARAM%
)

FOR  %%F in (*.pom) do (
	echo %%~nF
	call mvn org.apache.maven.plugins:maven-install-plugin:2.5.2:install-file -Dfile="%%~nF.jar" -DpomFile="%%F" %LOCAL_REPO_PARAM%
)
